#
# spec file for package skelcd-uyuni-proxy
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define debug_package %{nil}

# SLE15 uses different paths
%if 0%{?suse_version} > 1320
%define skelcd1_path usr/lib/skelcd/CD1
%else
%define skelcd1_path CD1
%endif

%if 0%{?suse_version}
%global wwwdocroot /srv/www/htdocs
%else
%global wwwdocroot %{_var}/www/html
%endif

Name:           skelcd-uyuni-proxy
BuildRequires:  openSUSE-build-key
BuildRequires:  release-notes-uyuni-proxy
BuildRequires:  w3m
AutoReqProv:    off
Conflicts:      skelcd
Conflicts:      skelcd-ISSLE-Addon
Conflicts:      skelcd-SUSE_Linux
Conflicts:      skelcd-SUSE_Linux-Addon
Version:        2022.08.01
Release:        230900.1.13.uyuni3
Summary:        Skeleton package for Uyuni Proxy
License:        GPL-2.0-or-later
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         skelcd.tar.bz2
Source2:        README
ExcludeArch:    aarch64

%description
skeleton package for SUSE Uyuni Proxy

%prep
%setup -n skelcd -q

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{skelcd1_path}/boot
cp READMEs/* $RPM_BUILD_ROOT/%{skelcd1_path}/
# SLE15 and openSUSE do not provide keyring
%if 0%{?suse_version} > 1320 || 0%{?is_opensuse} || 0%{?rhel}
cp /usr/lib/rpm/gnupg/keys/* $RPM_BUILD_ROOT/%{skelcd1_path}/
%else
test -s /usr/lib/rpm/gnupg/pubring.gpg || exit 1
cp -v /usr/lib/rpm/gnupg/pubring.gpg $RPM_BUILD_ROOT/%{skelcd1_path}/
(cd $RPM_BUILD_ROOT/%{skelcd1_path} ; /usr/lib/rpm/gnupg/dumpsigs ./pubring.gpg >/dev/null 2>&1 ; /usr/lib/rpm/gnupg/dumpsigs ./pubring.gpg )
%endif
for i in README \
        ; do
  cp -pv $RPM_SOURCE_DIR/$i $RPM_BUILD_ROOT/%{skelcd1_path}/$i
done
## The new way to do it...
mkdir -p $RPM_BUILD_ROOT/%{skelcd1_path}/media.1
#
# Install NEWS file
#
w3m -dump /usr/share/doc/release-notes/Uyuni_Proxy/RELEASE-NOTES.en.html > $RPM_BUILD_ROOT/%{skelcd1_path}/NEWS
install -d $RPM_BUILD_ROOT/%{skelcd1_path}/docu/
# install $RPM_SOURCE_DIR/README.manual $RPM_BUILD_ROOT/%{skelcd1_path}/docu/
#
# Install release notes as HTML pages
#
cp -vp /usr/share/doc/release-notes/Uyuni_Proxy/RELEASE-NOTES.en.* \
	 $RPM_BUILD_ROOT/%{skelcd1_path}/docu/
w3m -dump $RPM_BUILD_ROOT/%{skelcd1_path}/docu/RELEASE-NOTES.en.html > $RPM_BUILD_ROOT/%{skelcd1_path}/docu/RELEASE-NOTES.en.txt
#

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%exclude /%{skelcd1_path}/license.tar.gz
%if 0%{?suse_version} > 1320
/usr/lib/skelcd
%else
/CD1
%endif

%changelog
* Thu Jul 28 2022 Julio González Gil <jgonzalez@suse.com>
- Version 2022.08.01:
  * Adjust the README
* Mon Apr  4 2022 Julio González Gil <jgonzalez@suse.com>
- Version 2022.04.04
  * Do not require the documentation package
* Tue Jul 13 2021 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Parameterised apache document root.
* Mon Jan 25 2021 Stefan Bluhm <stefan.bluhm@clacee.eu>
- Added build for RHEL8.
* Thu Nov 12 2020 Julio González Gil <jgonzalez@suse.com>
- Use the new paths for the release notes and documentation
* Tue Apr  2 2019 Julio González Gil <jgonzalez@suse.com>
- Use new documentation
* Thu Dec 13 2018 moio@suse.com
- remove support for ppc arch, that also removes an incompatibility
  with SLE 15
* Thu May 31 2018 jgonzalez@suse.com
- Rebrand to Uyuni
* Mon May 28 2018 mc@suse.com
- version 2018.05.28
- Update EULA for SUSE Manager 3.2
* Tue May 15 2018 mc@suse.com
- version 2018.5.15
- turn off beta flag
* Fri Dec  1 2017 jgonzalez@suse.com
- Fix paths to work with SLE15 setup
* Wed Jul 19 2017 mc@suse.com
- version 2017.07.19
- turn beta flag on
- adapt version to SUSE Manager 3.2
* Fri May  5 2017 mc@suse.de
- turn beta flag off
* Wed Jan  4 2017 mc@suse.de
- version 2017.01.12
- adapt version to SUSE Manager 3.1
- turn beta flag on
* Mon Mar 14 2016 mc@suse.com
- add some newlines to license for better readability
* Mon Feb 22 2016 mc@suse.de
- version 2016.02.22
- add final license
- disable beta flag
* Sat Jan 16 2016 mc@suse.com
- the proxy chapter moved into the advanced topics guide
  put the PDF on the media
* Wed Jan 13 2016 mc@suse.de
- replaced proxy quickstart with new getting started guide
* Thu Oct  8 2015 mc@suse.de
- use standard SLES beta license
* Thu Jan 22 2015 mc@suse.de
- initial package release
